手机版
你好,游客 登录 注册
背景:
阅读新闻

Apache Camel XML外部实体注入漏洞(CVE-2019-0188)

[日期:2019-06-01] 来源:Linux社区  作者:Linux [字体: ]
Apache Camel XML外部实体注入漏洞(CVE-2019-0188)


发布日期:2019-05-21
更新日期:2019-05-27

受影响系统:

Apache Group Camel < 2.24.0

不受影响系统:

Apache Group Camel 2.24.0

描述:


BUGTRAQ  ID: 108422
CVE(CAN) ID: CVE-2019-0188

Apache Camel是美国阿帕奇(Apache)软件基金会的一套开源的基于Enterprise Integration Pattern(企业整合模式,简称EIP)的集成框架。
Apache Camel存在一个XML外部实体注入漏洞,允许攻击装通过特制的请求来读取服务器上的任意文件。该漏洞的产生原因是使用了过时的、易受攻击的JSON-lib库。

<*来源:Takayoshi Isayama of Mitsui Bussan Secure Directions, Inc
  *>

建议:


厂商补丁:

Apache Group
------------
目前厂商发布的新版本已修复这个安全问题,请到厂商的主页下载:

http://camel.apache.org/

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-06/158917.htm

linux
相关资讯       Apache Camel漏洞 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款